Софтпанорама 1991, No. 7 (21)  *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ╔═════════════════════════════════════╗
                 ║  П А Н О Р А М А   Н О В О С Т Е Й  ║
                 ╚═════════════════════════════════════╝

********************* Софтпанорама покидает КИИГА **********************

    Начиная с данного выпуска,  все выпуски бюллетеня будут  готовиться
вне КИИГА. В Киеве материалы для оперативной передачи в редакцию удобнее
всего передавать представителю редакции в торгово-экономическом институ-
те Сергею Малееву (тел. 513-9436 (р), 559- 5108(д)), который  становится
моим заместителем по семинару или Борису Литвинову (тел. 419- 42799(д)).
Телефон Галины Ткаченко остался неизменным, но, с учетом обстановки,  на
кафедру лучше звонить поменьше.
                                                                  Б.Н.Н.


******************* Коммерческая версия MS DOS 5.0 ! *******************

   Долго ожидавшаяся коммерческая версия MS DOS 5.0 наконец появилась. В
отличие от явно неудачной версии 4 эта версия уже пользуется  значитель-
ной популярностью у пользователей PC AT в нашей стране (пользователи  PC
XT в основном остались на MS DOS 3.x) благодаря возможности использовать
high memory для резидентных программ и улучшенным утилитам (часть  кото-
рых лицензирована у Central Point Software). Переход на эту версию  поз-
воляет выиграть до 60K, что, конечно, немало. Из утилит можно отметить:

   - loadhigh (загрузка резидентов в high memory);
   - dosshell (совершенно переработанный диалоговый Shell с  примитивной
            возможностью переключения задач путем свапирования неактивной
            задачи на диск - очень бледно по сравнению с Desqview  3.31 -
            теряется порядка 40K на резидентную часть Shell);
   - undelete (аналог соответствующей утилиты PC Shell);
   - unformat (то же);
   - mirror (то же);
   - Qbasic - упрощенная реализация Quick Basic;
   - edit (простой экранный редактор);
   - help (примитивная подсказка по командам, которую давно пора было
          сделать);
   - setver (установка "отзыва" при запросе версии)
   - doskey (редактирование и макровозможности для командной строки).

   В то же время уровень понимания ньюансов использования high memory  в
MS DOS  5.0 уступает  уровню продуктов  Quarterdeck и  пользователи этих
продуктов должны хорошо подумать перед переходом на рассматриваемую вер-
сию.
   Тем не менее ясно, что теперь коммерческие продукты должны  учитывать
факт существования еще одной версии, поскольку предыдущие версии не  то-
лько не отомрут, но и будут продолжать развиваться (как, например,  вер-
сия MS DOS 3.22 для laptop и  XT). Если учесть, что MS DOS 5.0  задумана
как базовая система для Windows поневоле начинаешь думать о том, что ис-
тория с  операционными системами  IBM/360 повторяется.  Если IBM DOS/360
еще можно было как-то понять, то с OC дело обстояло значительно хуже. Ее
объем быстро вышел за пределы понимания отдельного человека. Аналогично,
если MS DOS 3.3 полностью  размещалась на двух дискетах 360K  без всякой
упаковки, то версия 5 это  две упакованных 1.2 мегабайтных дискеты,  а с
Windows 3.0 это уже тот монстрик.

                                                                  Б.Н.Н.

***************** DR DOS 6.0 интегрирует Desqview ? *******************

    Появились слухи о новой версии DR DOS 6.0, обладающей  возможностями
мультизадачной обработки.
                                                                  Б.Н.Н.

******************** Шестая версия утилит Нортона **********************

    Оперативность появления данной версии возможно отражает беспокойство
Sеmantec наметившимся  сотрудничеством между  Microsoft и  Central Point
Software (см. предыдущую заметку). Хотя, вероятно, беспокоиться  следует
и Central Point Software, поскольку сотрудничество с Microsoft для  ряда
фирм кончилось плохо.
    Данная версия отличается от предыдущей в основном тем, что учитывает
особенности MS  DOS 5.0  - умеет  автоматически загружать  в High memory
свои резидентные компоненты.  Кроме того ряд  полезных утилит из  версии
4.5 наконец "доплыли" до новой версии. В их числе:
        DS       Directory Sort (очень удобна работа с мышью);
        FA       File Attributes
        FD       File Date
        FL       File Locate
        FS       File Size
        LP       Line Print
        TS       Text Search
    Интерфейс переделан на "а ля Windows". Традиционный темно-синий  фон
посветлел и слегка раздражает.
    Все файлы сжаты (похоже лицензионным вариантом Pklite). Документация
поставляется в самораспаковывающихся архивах ZIP-формата.
    Наиболее удачным нововведением является возможность сохранять  опции
в файле конфигурации. Существенно ускорена работа SpeedDisk (!!!), кото-
рый теперь пересылает целые непрерывные блоки. Улучшена работа Unerase в
версии MS DOS 5 (в частности учитывается информация Mirror).  Интересной
новой  утилитой   является  EP   (Protect  deleted   files  from   being
overwritten, for quick recovery).
    Еще одним неожиданным  нововведением является NDOS  - переработанная
Semantec версия 4DOS,  обеспечивающая, в частности,  имена файлов до  40
символов (команда Discribe). Упоминания о J.P.Software я нашел лишь одни
раз, а NHELP серьезно ухудшен по сравнению с 4DOS. NDOS плохо  укладыва-
ется в концепцию утилит Нортона и мотивы ее приобретения и распростране-
ния фирмой не совсем понятны. Вот если бы она поставлялась интегрирован-
ной  с  Norton  Commander  4.0,  тогда  другое  дело. К сожалению Norton
Commander 4.0 пока остается мечтой. Уход Джона Соча (John Socha) сущест-
венно ослабил компанию Нортона еще до покупки ее Semantec и  возможности
работы на таком уровне, по-видимому, ни у кого из оставшихся сотрудников
нет.
    Кстати, новую утилиту NCD очень удобно вызывать из Norton  Commander
для того, чтобы  перемещать ветки дерева  каталогов, копировать ветки  и
удалять каталоги с подкаталогами.  Особенно удобно перемещение ветвей  -
просто даешь Ctrl-G и ведешь отмеченную ветвь мышью или курсором до нуж-
ного места ветку. Тем самым самодельные "примочки" такого типа  потеряли
актуальность.
    В целом  появление 6  версии утилит  Нортона усиливает привлекатель-
ность перехода на MS DOS 5.0 пользователей PC AT с мегабайтом памяти. На
семинаре планируется  организовать обсуждение  данной версии.  Более по-
дробную информацию я надеюсь опубликовать в следующем выпуске. Просьба к
читателям поделиться своими впечатлениями.

                                                                  Б.Н.Н.

**********************  Борланд прыгает в окно ************************

    Бум внедрения Windows похоже докатился до бывших еще недавно  совет-
скими республик. Катализатором  этого процесса выступила  фирма Борланд,
которая за рекордно короткие сроки перелицевала все свои основные проду-
кты. Искушение прыгнуть в окно  вместе с Борланд велико, однако  следует
предостеречь пользователей,  которым графика  не очень  нужна. Несколько
обрюзгшие продукты,  например Borland  Turbo Pascal  for Windows,  плохо
идут  на  стандартных  AT  и  в  целом  уже сильно смахивают на продукты
Microsoft. Короче хлопот с переходом много, а эффект может быть и  отри-
цательный. Кроме  того, будучи  заплатой на  теле старой  доброй MS DOS,
Windows сама по  себе создает проблемы  и получение необъяснимых  ошибок
уже вымотало нервы не одному из пионеров освоения этой новой графической
среды. Впрочем специалисты по Windows  могут не беспокоиться о том,  что
их ждет безработица. Даже если собственная программа не идет можно зара-
ботать те же деньги, консультируя других пользователей на предмет почему
это происходит.
                                                                  Б.Н.Н.

********* Борланд пытается обосноваться на рынке dBase-систем ***********

    Фирма собирается скоро  выпустить на рынок  компилятор для dBase,  а
Коммерсант сообщил о покупке Борландом фирмы Aston Tate.
                                                                  Б.Н.Н.

******************* Arj 2.20 теснит Pkzip 1.1 и Lharc *****************

     Данная версия по степени сжатия более чем на 5% (т.е. на 2M из 40).
превосходит Pkzip 1.1, работая лишь на 20-30% медленнее. Поэтому медлить
с переходом тем,  у кого диски  забиты "под завязку"  не стоит. Например
при сжатии одной из версий данного выпуска Arj 2.20 "пришла первой", вы-
играв у Pkzip 44K (5%, что совсем немало) и проиграв 30% по времени сжа-
тия.

         SP37A    ARJ   756961   3 м 47 c.
         SP37A    LZH   758545   4 m 04 c.
         SP37A    ZIP   800587   2 m 37 c.

     Важным инструментальным средством, облегчающим такой переход  явля-
ется программа REARJ, которая, безусловно, имеет и значительную самосто-
ятельную ценность. Роберт Юнг безусловно верно понял ситуацию: для того
чтобы пользователи перешли на новый, лучший архиватор недостаточно обес-
печить более высокую степень сжатия при той же скорости. Необходимо еще
и инструментальное средство,  автоматизирующее такой переход.  Программы
запрограммирована "честно". Поддерживаются LZH, ZIP, PAK, ARC, DWC, HYP,
LZS, ZOO. Можно добавлять собственные, изменяя файл конфигурации. Кстати
REARJ может использоваться и для перехода к другим архиваторам, если это
будет иметь смысл. Может конвертировать архивы внутри архивов.  Поддержи-
вает произвольный вирусный детектор (!!!). Короче это действительно уда-
ча и даже если бы Роберт Юнг не создал Arj, одной этой программы доста-
точно, чтобы обратить на себя внимание программистов всего мира.

                                                                  Б.Н.Н.

***************** Портативки завоевывают советский рынок ***************

   Еще полгода назад  компьютеры Lаptop были  у нас экзотикой.  Однако с
выходом на рынок ASI они стали появляться в больших количествах.  Причем
не только фирмы ASI, но и других фирм. Сразу выяснился ряд преимуществ:
   - быстрый двухдюймовый винчестер (15-17 мсек) позволяет им конкуриро-
вать с обычными DeskTop;
   - при установке в помещении опадает необходимость в дорогой и ненаде-
жной сигнализации. Достаточен обычный сейф или металлический шкаф;
   - они высокомобильны,  что позволяет легко  переставлять со стола  на
стол, при необходимости брать на вечер или субботу, воскресенье домой;
   - экран лишен вредного излучения;
   - трехдюймовый флоп удобнее и надежнее пятидюймового, хотя и несколь-
ко дороже.
   Все это позволяет им стать серьезным конкурентам DeskTop во всех слу-
чаях, когда не нужна особая вычислительная мощность или есть сложность с
установкой охранной сигнализации. Т.е. в большинстве случаев. Более  вы-
сокая цена компенсируется указанными преимуществами.
                                                                  Б.Н.Н.

*********** Плата ALL Charge-Card обеспечивает превращение ************
*************** expanded memory в extended для AT/286 *****************

     Статья И.М.Бинуса в третьем номере  Мира ПК о плате Fll  ChargeCard
производит впечатление не очень качественно переведенного фирменного ру-
ководства. Ряд фраз совершенно  непонятен, например "Плата не  замедляет
работу компьютера и позволяет эффективно управлять наиболее быстрой  16-
Mбайт памятью ПК, расположенной на системной плате". В фразах, оставших-
ся понятными, утверждается, что данная плата это один из лучших способов
модернизации ПК  на базе  ЦП 80286  (в заголовок  вынесена фраза "Это не
просто слова -  это мнение фирмы  IBM"). Плата устанавливается  в гнездо
процессора 80286, а на нее устанавливается сам процессор. При  использо-
вании  плата  требует  установки  специального  драйвера (ALLEMM4.SYS) и
обеспечивает доступ к 960K памяти, позволяя отображать еxtended memory в
expanded (EMS 4.0 или EMS 3.2). Цена платы не указана.
     В  СССР  поставку  и  сервисное  обслуживание платы All Charge-Card
ocуществляет официальный представитель фирмы All Computers, Inc.,  пред-
приятие "Семигор", контактные  телефоны в г.Пензе:/841-2/  63-04-21, 64-
75-21. И.М.Бинус  является начальником  отдела программных  исследований
(нехилое название подобрали для отдела! - Б.Н.Н.) предприятия "Семигор".

                                                                   Б.Н.Н.



******** Рассказы об ударниках капиталистического соревнования *********

     Фирмы  Hewlett-Packard  и  Lotus  при  участии фирм Intel и Phoenix
Technologies разработали карманный компьютер 95 LX на базе  микропроцес-
сора 8088. В ПЗУ компьютера записаны операционная система DOS 3.22 и па-
кет 1-2-3. Емкость оперативной памяти 512 Кбайт, экран жидкокристалличе-
ский /16 строк по  40 знаков/, габариты 15х8х2,5  см, масса 350 г.  Цена
699 дол.
                                                                   Б.Н.Н.


П р и м е ч а н и е.

  Сообщения, заголовки  которых выделены  знаками "="  (равно), получены
при содействии редакции журнала КомпьютерПресс. Заголовки сообщений при-
надлежат составителю.



